hetzner:
  reboot: false
  # username: ""
  # password: ""
  # reboot_type: hw
  # reboot_timeout: 300

btrfs:
  enabled: true
  subvolumes:
    - /etc
    - /home
    - /usr
    - /usr/src
    - /usr/local
    - /usr/local/lib
    - /var
    - /var/backups
    - /var/cache
    - /var/log
    - /var/lib
    - /var/lib/machines

disks:
  blacklist: []
    # - sda
  partition:
    /dev/nvme0n1:
      bios:
        part_end: 1MB
        flags:
          - bios_grub
      boot:
        part_start: 1MB
        part_end: 2GB
      root:
        part_start: 2GB
    /dev/nvme1n1:
      bios:
        part_end: 1MB
        flags:
          - bios_grub
      boot:
        part_start: 1MB
        part_end: 2GB
      root:
        part_start: 2GB
  mdadm:
    /dev/md0:
      level: 1
      name: boot
      assume_clean: true
      metadata: 0.90
      devices:
        - /dev/nvme0n1p2
        - /dev/nvme1n1p2
    /dev/md1:
      level: 1
      name: rootfs
      assume_clean: true
      metadata: 1.2
      devices:
        - /dev/nvme0n1p3
        - /dev/nvme1n1p3
  luks:
    rootfs:
      device: /dev/md1
      opts: "--cipher aes-xts-plain64 --key-size 512 --hash sha512"
  mount:
    /:
      src: /dev/mapper/rootfs
      filesystem: btrfs
      filesystem_create_cmd: "mkfs.btrfs -M -L rootfs -O mixed-bg -K -f"
    /boot:
      src: /dev/md0
      options: defaults,nodiscard,errors=remount-ro

# ssh keys list, default - from ansible controller
root_ssh_keys:
  - "{{ lookup('file', lookup('env','HOME') + '/.ssh/id_rsa.pub') }}"

# debootstrap settings
debootstrap:
  dist: bullseye
  # enable backports & upgrade from them
  backports: false
  mirror: http://deb.debian.org/debian
  # bypass options to debootstrap command
  options: --components=main,contrib,non-free --arch=amd64 --no-check-certificate --no-check-gpg
  # packages to be installed to new system
  packages:
    - linux-base
    - linux-image-amd64
    - linux-headers-amd64
    - systemd
    - dbus
    - grub-pc
    - initramfs-tools
    - busybox
    - mdadm
    # https://wiki.archlinux.org/index.php/Solid_state_drive#Periodic_TRIM
    - util-linux
    - openssh-server
    - console-setup
    - locales
    - acpi-support
    - bash-completion
    - coreutils
    - btrfs-progs
    # - xfsprogs
    # - xfsdump
    - acl
    - attr
    - quota
    # recommended for hw
    - firmware-linux-nonfree
    - firmware-realtek
    # for ansible
    - sudo
    - gnupg
    - gnupg1
    - gnupg2
    # - python-apt
    # - python-pip
    - python3-apt
    - python3-pip
    # default software
    - htop
    - nload
    - iotop
    - strace
    - lsof
    - xz-utils
    - atop
    - screen
    - rsync
    - tcpdump
    - tcpflow
    - nano
    - vim
    - dnsutils
    - curl
    - wget
    - traceroute
    - mtr
    - sysstat
    - ethtool
    - apt-transport-https
    - iptables
    - jq
    - linux-cpupower
    - net-tools
    - ncdu
    - netcat
    - initramfs-tools
    - busybox
    - dropbear-initramfs
    - console-setup
    - cryptsetup
    - cryptsetup-initramfs
    - systemd-container


GRUB_NO_SECURITY: noibrs noibpb nopti nospectre_v2 nospectre_v1 l1tf=off nospec_store_bypass_disable no_stf_barrier mds=off mitigations=off
GRUB_CMDLINE_LINUX_DEFAULT: "nomodeset consoleblank=0 swapaccount=1 cgroup_enable=memory net.ifnames=1 biosdevname=0 apparmor=0 selinux=0 {{ GRUB_NO_SECURITY|default('') }} intel_idle.max_cstate=0 processor.max_cstate=1 pcie_aspm=off idle=poll"

networking:
  type: dhcp
